<h4 align="center">
    <a href="https://nodecli.com/?utm_source=FOSS&utm_medium=FOSS&utm_campaign=wordle-solved">
        <img src="https://raw.githubusercontent.com/ahmadawais/wordle-solved/master/.github/logo.png" alt="wordle-solved" />
    </a>
    <br>
    <br>

📟 CLI to to solve your Wordle puzzle daily. [Learn to build Node.js CLI apps][n].

<!-- [![DOWNLOADS](https://img.shields.io/npm/dt/wordle-solved?label=DOWNLOADS%20%20%E2%9D%AF&colorA=538d4e&colorB=538d4e&style=flat)](https://www.npmjs.com/package/wordle-solved)  -->
[![Learn Node.js CLI Automation](https://img.shields.io/badge/-NodeCLI.com%20%E2%86%92-gray.svg?colorB=538d4e&style=flat)](https://nodecli.com/?utm_source=GitHubFOSS) [![Follow @MrAhmadAwais on Twitter](https://img.shields.io/badge/FOLLOW%20@MRAHMADAWAIS%20%E2%86%92-gray.svg?colorA=538d4e&colorB=538d4e&style=flat)](https://twitter.com/mrahmadawais/)

</h4>

<br>

# wordle-solved-cli

- 📦 CLI that solves Wordle puzzles for you
- 🤯 Automatic prediction of the upcoming word tomorrow
- 👨‍🏫 Learn to automate anything: [NodeCLI.com][n] automation with JavaScript

<br>

[![📟](https://raw.githubusercontent.com/ahmadawais/stuff/master/images/git/install.png)][repo]

## Install

```sh
# Global install.
npm install -g wordle-solved-cli

# OR run in one go.
npx wordle-solved-cli
```

<br>

[![⚙️](https://raw.githubusercontent.com/ahmadawais/stuff/master/images/git/usage.png)][repo]

## Usage

Once you have installed the CLI globally with `npx wordle-solved-cli` you can run it with `wordle` command.

```sh
# Run the following command anywhere.
wordle
```

#### COMMANDS

```sh
help  Print help info
```

#### OPTIONS

```sh
-c, --clear    Clear the console Default: true
-d, --debug    Print debug info Default: false
-v, --version  Print CLI version Default: false
```

<br>

[![📝](https://raw.githubusercontent.com/ahmadawais/stuff/master/images/git/log.png)](changelog.md)

## Changelog

[❯ Read the changelog here →](changelog.md)

<br>

<small>**KEY**: `📦 NEW`, `👌 IMPROVE`, `🐛 FIX`, `📖 DOC`, `🚀 RELEASE`, and `🤖 TEST`

> _I use [Emoji-log](https://github.com/ahmadawais/Emoji-Log), you should try it and simplify your git commits._

</small>

<br>

<br>

[![📃](https://raw.githubusercontent.com/ahmadawais/stuff/master/images/git/license.png)][repo]

## License & Conduct

- UNLICENSED © [Ahmad Awais](https://twitter.com/MrAhmadAwais/)
- Thank you, Josh Wardle, for the excellent game
- [Code of Conduct](code-of-conduct.md)

<br>

[![🙌](https://raw.githubusercontent.com/ahmadawais/stuff/master/images/git/connect.png)][repo]

## Connect

<div align="left">
    <p><a href="https://github.com/ahmadawais"><img alt="GitHub @AhmadAwais" align="center" src="https://img.shields.io/badge/GITHUB-gray.svg?colorB=6cc644&style=flat" /></a>&nbsp;<small><strong>(follow)</strong> To stay up to date on free & open-source software</small></p>
    <p><a href="https://twitter.com/MrAhmadAwais/"><img alt="Twitter @MrAhmadAwais" align="center" src="https://img.shields.io/badge/TWITTER-gray.svg?colorB=1da1f2&style=flat" /></a>&nbsp;<small><strong>(follow)</strong> To get #OneDevMinute daily hot tips & trolls</small></p>
    <p><a href="https://www.youtube.com/AhmadAwais"><img alt="YouTube AhmadAwais" align="center" src="https://img.shields.io/badge/YOUTUBE-gray.svg?colorB=ff0000&style=flat" /></a>&nbsp;<small><strong>(subscribe)</strong> To tech talks & #OneDevMinute videos</small></p>
    <p><a href="https://AhmadAwais.com/"><img alt="Blog: AhmadAwais.com" align="center" src="https://img.shields.io/badge/MY%20BLOG-gray.svg?colorB=4D2AFF&style=flat" /></a>&nbsp;<small><strong>(read)</strong> In-depth & long form technical articles</small></p>
    <p><a href="https://www.linkedin.com/in/MrAhmadAwais/"><img alt="LinkedIn @MrAhmadAwais" align="center" src="https://img.shields.io/badge/LINKEDIN-gray.svg?colorB=0077b5&style=flat" /></a>&nbsp;<small><strong>(connect)</strong> On the LinkedIn profile y'all</small></p>
</div>

<br>

[![👌](https://raw.githubusercontent.com/ahmadawais/stuff/master/images/git/sponsor.png)][repo]

## Sponsor

Me ([Ahmad Awais](https://twitter.com/mrahmadawais/)) and my incredible wife ([Maedah Batool](https://twitter.com/MaedahBatool/)) are two engineers who fell in love with open source and then with each other. You can read more [about me here](https://ahmadawais.com/about). If you or your company use any of my projects or like what I'm doing, then consider backing me. I'm in this for the long run—an open-source developer advocate.

[![Support Open-Source Work](https://raw.githubusercontent.com/ahmadawais/stuff/master/sponsor/sponsor.jpg)](https://github.com/AhmadAwais/sponsor)

<br>

### [How to build a Node CLI?][n]

Or you can back me by checking out my super fun video course. After building hundreds of developer automation tools used by millions of developers, I am teaching exactly how you can do it yourself with minimum effective effort. Learn to build Node.js & JavaScript-based CLI (Command Line Interface) apps & npm packages. Automate the grunt work, do more in less time, impress your manager, make more salary, and help the community. I'm sharing it all in this step-by-step 100-videos course. [Node CLI Automation without wasting a thousand hours][n] →

[![NodeCLI.com](https://raw.githubusercontent.com/ahmadawais/stuff/master/nodecli/featured.jpg)][n]

[![Node CLI](https://img.shields.io/badge/-NodeCLI.com%20%E2%86%92-gray.svg?colorB=488640&style=flat)](https://nodecli.com/?utm_source=FOSS&utm_medium=FOSS&utm_campaign=wordle-solved)

[![Ahmad on Twitter](https://img.shields.io/twitter/follow/mrahmadawais.svg?style=social&label=Follow%20@MrAhmadAwais)](https://twitter.com/mrahmadawais/)

[c]: https://nodecli.com/?utm_source=FOSS&utm_medium=FOSS&utm_campaign=wordle-solved
[n]: https://nodecli.com/?utm_source=FOSS&utm_medium=FOSS&utm_campaign=wordle-solved
[repo]: https://github.com/AhmadAwais/wordle-solved
[d]: https://raw.githubusercontent.com/ahmadawais/wordle-solved/main/wordle-solved-ahmadawais.zip
